import request from './request';
let api = {
  getInfoByInclude: '/live/Vote/getInfoByInclude' // 新投票
};
const prodApi = {
  getInfoByInclude:
    'https://1812501212048408.cn-hangzhou.fc.aliyuncs.com/2016-08-15/proxy/gdyactivity.online/live/activity/vote/getInfoByInclude' // 新投票
};
const preApi = {
  // getInfoByInclude: '' // 新投票
};
const testApi = {
  // getInfoByInclude: '' // 新投票
};
if (!process.env.private) {
  if (!process.env.X_CA_STAGE) {
    api = { ...api, ...prodApi };
  } else if (process.env.X_CA_STAGE === 'PRE') {
    api = { ...api, ...preApi };
  } else if (process.env.X_CA_STAGE === 'TEST') {
    api = { ...api, ...testApi };
  }
}

export const getInfoByInclude = data => {
  return request.get(api['getInfoByInclude'], data);
};

export default {
  getInfoByInclude
};
